package TX_OtherClass;

public final class ExtentData extends JceStruct {
    public BucketConfig bucketInfo;
    static BucketConfig cache_bucketInfo;
    public int checkFlag;
    public String extra;
    public byte flagByte;

    static {
        ExtentData.cache_bucketInfo = new BucketConfig();
    }

    public ExtentData() {
        super();
        this.checkFlag = 0;
        this.flagByte = 0;
        this.extra = "";
        this.bucketInfo = null;
    }

    public ExtentData(int arg2, byte arg3, String arg4, BucketConfig arg5) {
        super();
        this.checkFlag = 0;
        this.flagByte = 0;
        this.extra = "";
        this.bucketInfo = null;
        this.checkFlag = arg2;
        this.flagByte = arg3;
        this.extra = arg4;
        this.bucketInfo = arg5;
    }

    public final void readFrom(c arg4) {
        this.checkFlag = arg4.a(this.checkFlag, 0, false);
        this.flagByte = arg4.a(this.flagByte, 1, false);
        this.extra = arg4.b(2, false);
        this.bucketInfo = (BucketConfig) arg4.a(ExtentData.cache_bucketInfo, 3, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.checkFlag, 0);
        arg3.a(this.flagByte, 1);
        if(this.extra != null) {
            arg3.a(this.extra, 2);
        }

        if(this.bucketInfo != null) {
            arg3.a(this.bucketInfo, 3);
        }
    }
}
